import { Manager } from './';
export declare class LayerPropertiesManager extends Manager {
    private properties;
    getLayerProperty<T>(key: string): T | undefined;
    addLayerProperty<T>(key: string, value: T): void;
    removeLayerProperty(key: string): void;
}
